[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TResourceDesc.Name

The value of the resource description as a name

## Declaration

Source position: resource.pp line 121

`public property TResourceDesc.Name : TResName read GetName write SetName;`

## Description

Setting this property causes DescType to be dtName

When reading, if DescType is dtID, the ID is returned as a string value.

## See also

TResourceDesc.ID |  | The value of the resource description as an ID
TResourceDesc.DescType |  | The type of the resource description